## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsConnectionNodeFactory Member List

This is the complete list of members for iAwsConnectionNodeFactory, including all inherited members.

AddConnectionKey(const char *name, iAwsSink *s, unsigned long t, unsigned long sig)=0 | iAwsConnectionNodeFactory | `[pure virtual]`
AddRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
GetThisNode()=0 | iAwsConnectionNodeFactory | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
Initialize()=0 | iAwsConnectionNodeFactory | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
RemoveRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`